Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1245939 (CVE-2015-1331) - CVE-2015-1331 lxc: directory traversal flaw
Summary: CVE-2015-1331 lxc: directory traversal flaw
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-1331
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1245942 1245943
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-23 07:49 UTC by Martin Prpič
Modified: 2019-09-29 13:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:42:50 UTC
Embargoed:


Attachments (Terms of Use)

Description Martin Prpič 2015-07-23 07:49:18 UTC
A directory traversal flaw was found in LXC that allows arbitrary file creation as the root user. A local attacker must set up a symlink at /run/lock/lxc/var/lib/lxc/<CONTAINER>, prior to an admin ever creating an LXC container on the system. If an admin then creates a container with a name matching <CONTAINER>, the symlink will be followed and LXC will create an empty file at the symlink's target as the root user.

This issues is reported to affect versions 1.0.0 and later.

Additional information:

https://launchpad.net/bugs/1470842

Upstream patches:

https://github.com/lxc/lxc/commit/72cf81f6a3404e35028567db2c99a90406e9c6e6 (master)
https://github.com/lxc/lxc/commit/61ecf69d7834921cc078e14d1b36c459ad8f91c7 (stable-1.1)
https://github.com/lxc/lxc/commit/f547349ea7ef3a6eae6965a95cb5986cd921bd99 (stable-1.0)

Comment 1 Martin Prpič 2015-07-23 07:57:32 UTC
Created lxc tracking bugs for this issue:

Affects: fedora-all [bug 1245942]
Affects: epel-all [bug 1245943]

Comment 2 Fedora Update System 2015-08-10 10:05:57 UTC
lxc-1.1.2-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-08-11 02:11:24 UTC
lxc-1.1.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-08-11 02:12:58 UTC
lxc-1.0.7-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-08-17 19:06:16 UTC
lxc-1.0.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-08-17 19:07:18 UTC
lxc-1.0.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:42:50 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.